Page MenuHomeFreeBSD

devel/git: Split into subpackages
AbandonedPublic

Authored by garga on Oct 8 2021, 3:20 PM.

Details

Summary

Removed CVS, GUI, PERFORCE and SUBVERSION options and also gui FLAVOR
and create 4 new subports:

devel/git-cvs
devel/git-gui
devel/git-p4
devel/git-svn

All these packages depend of devel/git and install only additional files
and manpages. This work is based on initial patch submitted by grembo@i
at review D30238.

PR: 251090
Sponsored by: Rubicon Communications, LLC ("Netgate")

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 42071
Build 38959: arc lint + arc unit

Event Timeline

garga requested review of this revision.Oct 8 2021, 3:20 PM

Shouldn't we be able to contain it within one directory like https://cgit.freebsd.org/ports/tree/net-p2p/qbittorrent ?

NVM: Brainfart, subpackages != flavours ;-)

dbaio requested changes to this revision.Oct 11 2021, 12:14 PM
dbaio added a subscriber: dbaio.

Minor, comments are not changing in the subpackages.

$ pkg search git
git-2.32.0_1                   Distributed source code management tool
git-cvs-2.32.0_1               Distributed source code management tool
git-gui-2.32.0_1               Distributed source code management tool
git-lite-2.32.0_1              Distributed source code management tool (lite flavor)
git-p4-2.32.0_1                Distributed source code management tool
git-svn-2.32.0_1               Distributed source code management tool
git-tiny-2.32.0_1              Distributed source code management tool (tiny flavor)
This revision now requires changes to proceed.Oct 11 2021, 12:14 PM

I don't use git-gui/gitk, but I tried to test:

$ gitk
exec: wish: not found

Let subpackages to replace COMMENT

  • Fixed Tk wish path on gitk and git-gui--askpass
  • Added warning on lite and tiny pkg-descr saying they cannot coexist with subpackages
  • Minor style fixes

@garga Didn't find the time to test yet, therefore only suggestions to improve the UPDATING message.

UPDATING
11–21

Suggested wording:

devel/git port was split into multiple sub-ports that depend on devel/git
and install additional files:

- devel/git-cvs - CVS related scripts and man pages
- devel/git-gui - GUI related scripts and man pages
- devel/git-p4  - Perforce related scripts and man pages
- devel/git-svn - Subversion related scripts and man pages

Due to these changes, CVS, GUI, PERFORCE, and SUBVERSION options
as well as gui and svn flavors were removed from the port.

I've done some tests in your repository, and it looks good here.

This revision is now accepted and ready to land.Oct 11 2021, 2:15 PM

In that spirit, gitweb should be removed/moved as well. Regular users won't need it at all.

This revision now requires changes to proceed.Oct 12 2021, 6:17 AM

In that spirit, gitweb should be removed/moved as well. Regular users won't need it at all.

Each new subpackage increases complexity to maintain the port. I'm trying to keep it more simple while official subpackage support is not added to the tree

@garga I think this can be closed.